import { StyleSheet } from 'fela-tools'
import { COLOR, HEADER, ICON } from '../../core/constants'
import { offset } from '../../core/utils'
import button from '../../rules/button/button'
import layout from '../../rules/layout/layout'
import shadow from '../../rules/shadow/shadow'

export default StyleSheet.create({
  headerSmall: {
    height: HEADER.HEIGHT_SMALL,
    backgroundColor: COLOR.SLATE,
    extend: [
      layout({ align: 'center' })
    ],
    aboveDesktop: {
      display: 'none'
    }
  },
  headerLarge: {
    height: HEADER.HEIGHT_LARGE,
    backgroundColor: COLOR.WHITE,
    extend: [
      layout({ align: 'center' }),
      shadow()
    ],
    belowDesktop: {
      display: 'none'
    }
  },
  menuButton: {
    position: 'relative',
    extend: button({
      padding: offset(HEADER.HEIGHT_SMALL, ICON.SMALL)
    })
  }
})
