import { StyleSheet } from 'fela-tools'
import { COLOR, EDGES, TRANSITION } from '../../core/constants'
import transition from '../../rules/transition/transition'

const LINK_COLOR = COLOR.BLUE
const HOVER_COLOR = COLOR.TEAL
const ACTIVE_COLOR = COLOR.RUST

export default StyleSheet.create({
  link: ({ animate, color, underline }) => ({
    textDecoration: 'none',
    extend: [{
      condition: animate,
      style: transition({
        property: 'color, border-color',
        duration: TRANSITION.UI.duration,
        easing: TRANSITION.UI.easing
      })
    }, {
      condition: color,
      style: {
        color: LINK_COLOR,
        onHover: {
          color: HOVER_COLOR
        },
        onActive: {
          color: ACTIVE_COLOR
        }
      }
    }, {
      condition: underline,
      style: {
        border: {
          color: LINK_COLOR,
          edges: EDGES.B
        },
        onHover: {
          borderBottomColor: HOVER_COLOR
        },
        onActive: {
          borderBottomColor: ACTIVE_COLOR
        }
      }
    }]
  })
})
